package com.qmth.teachcloud.mark.bean.ai;

import com.qmth.teachcloud.mark.entity.MarkAiQuestionLevel;
import com.qmth.teachcloud.mark.entity.MarkAiQuestionParam;
import com.qmth.teachcloud.mark.entity.MarkAiQuestionPoint;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: ai评卷参数返回信息
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2025/4/11
 */
public class MarkAiQuestionParamResult extends MarkAiQuestionParam implements Serializable {

    @ApiModelProperty(value = "得分点列表")
    List<MarkAiQuestionPoint> pointList;

    @ApiModelProperty(value = "档次列表")
    List<MarkAiQuestionLevel> levelList;

    public List<MarkAiQuestionPoint> getPointList() {
        return pointList;
    }

    public void setPointList(List<MarkAiQuestionPoint> pointList) {
        this.pointList = pointList;
    }

    public List<MarkAiQuestionLevel> getLevelList() {
        return levelList;
    }

    public void setLevelList(List<MarkAiQuestionLevel> levelList) {
        this.levelList = levelList;
    }
}
